petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatMPISBAIJSetPreallocationCSR

Allocates memory for a sparse parallel matrix in BAIJ format (the default parallel PETSc format).

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMPISBAIJSetPreallocationCSR(Mat B,PetscInt bs,const PetscInt i[],const PetscInt j[], const PetscScalar v[])

Collective on MPI_Comm

### Input Parameters

| B | - the matrix
| bs | - the block size
| i | - the indices into j for the start of each local row (starts with zero)
| j | - the column indices for each local row (starts with zero) these must be sorted for each row
| v | - optional values in the matrix

### Keywords

matrix, aij, compressed row, sparse, parallel

### See Also

MatCreate(), MatCreateSeqAIJ(), MatSetValues(), MatMPIBAIJSetPreallocation(), MatCreateAIJ(), MPIAIJ

Level:developer
Location:src/mat/impls/sbaij/mpi/mpisbaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages